2004-12-31  Alexandre Duret-Lutz  <adl@gnu.org>

	* tests/man2.test, tests/transform.test: Specify --mandir, in order
	not to fail when Autoconf changes its $mandir default.

2004-12-30  Alexandre Duret-Lutz  <adl@gnu.org>

	Support for `install-dvi', `install-html', `install-ps', and
	`install-pdf', as recently introduced into the GNU Coding
	Standard.

	* automake.in (handle_factored_dependencies): Reject
	uninstall-dvi-local, uninstall-html-local, uninstall-info-local,
	uninstall-ps-local, and uninstall-pdf-local.  Allow
	install-info-local even when no-installinfo is not used.
	(handle_data): Allow datarootdir, dvidir, htmldir, pdfdir, and psdir.
	(%standard_prefix): Declare these new standard directory variables.
	* doc/automake.texi (Texinfo, Third-Party Makefiles): Document
	install-dvi, install-html, install-pdf, and install-ps.
	(Extending): Document install-local-dvi, install-local-html,
	install-local-info, install-local-pdf, and install-local-ps.
	* lib/Automake/Rule.pm (%dependencies): Add new install rules,
	and remove uninstall-info.
	* /cvs/automake/automake/lib/am/texinfos.am (install-dvi,
	install-dvi-am, install-dvi-recursive, install-html,
	install-html-am, install-html-recursive, install-pdf,
	install-pdf-am, install-pdf-recursive, install-ps, install-ps-am,
	install-ps-recursive, uninstall-dvi-am, uninstall-html-am,
	uninstall-pdf-am, uninstall-ps-am): New rules.
	(uninstall-info): Delete.
	* tests/txinfo21.test: Augment to check for these new rules.
	* tests/exdir2.test: Do not use `htmldir' as example of
	undefined directory.
	* tests/overrid.test: Do not be fooled by install-ps and
	install-html.
	* tests/txinfo10.test: Do not grep for uninstall-info-recursive.

2004-12-27  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (Preprocessed Fortran): Fix the definition of FCLINK.

	* Makefile.am (maintainer-check): Refine check for @_ in scalar
	context.  Check for correct use of PRE_INSTALL, NORMAL_INSTALL,
	POST_INSTALL, PRE_UNINSTALL, NORMAL_UNINSTALL, and POST_UNINSTALL.
	* lib/am/texinfos.am (uninstall-info-am): Hide the invocation of
	$(PRE_UNINSTALL).
2004-12-27  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/am/texinfos.am (uninstall-info-am): Show change of
	directory while uninstalling DJGPP-style info files.

2004-12-27  Alexandre Duret-Lutz  <adl@gnu.org>

	Declare recursive install targets as dependencies of `.MAKE', so
	that `make -n install' works with BSD Make too.

	* lib/Automake/Rule.pm (reset) <%dependencies>: Add `.MAKE'.
	* automake.in (target_cmp): Move all `.XYZ' target last, not
	only `.PHONY'.
	(handle_factored_dependencies): Add target with hooks to `.MAKE'.
	Do not let a user definition of .MAKE override ours.
	* lib/am/install.am (install-am, install-strip): Mark as `.MAKE'.
	* lib/am/multilib.am (all-multi, install-multi, mostlyclean-multi,
	clean-multi, distclean-multi, maintainer-clean-multi): Likewise.
	* lib/am/subdirs.am (mostlyclean-recursive, clean-recursive,
	distclean-recursive, maintainer-clean-recursive): Likewise.

2004-12-18  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/config-ml.in, lib/config.guess, lib/config.sub,
	lib/texinfo.tex: New upstream versions.

	* doc/automake.texi (gettext): Move the paragraph about
	dist_list_LISP...
	(Emacs Lisp): ... here.
	Report from Bruno Haible.

	* doc/automake.texi: Bump GFDL version to 1.2, since that is
	what we distribute.

	* doc/automake.texi: Fix more misuses of @ref, @xref and @pxref,
	including some of the "corrections" below.  Thanks to Karl Berry.

	* doc/automake.texi: Correct several misuses of @xref and @pxref.

2004-12-17  Jim Meyering  <jim@meyering.net>

	* install-sh: Use `(exit N); exit N', not `(exit N); exit'.
	Otherwise, install-sh could exit with improper exit status when
	exiting via a trapped interrupt.  Thanks to a report from Bob Proulx.

2004-12-14  Akim Demaille  <akim@epita.fr>

	* doc/automake.texi (Options): Englishoes.
	(Options): And another.

2004-12-13  Alexandre Duret-Lutz  <adl@gnu.org>

	* ChangeLog.03: New file, extracted from ChangeLog.
	* Makefile.am (EXTRA_DIST): Add it.

2004-12-12  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (check_user_variables): New function, extracted
	from ...
	(handle_languages): ... here.
	(handle_languages, define_compiler_variable, define_link_variable):
	Honore LIBTOOLFLAGS.
	(handle_single_transform): Check _LIBTOOLFLAGS in
	addition to other per-target flags for Libtool objects.
	(handle_libtool): Warn if LIBTOOLFLAGS is defined.
	* doc/automake.texi (Libtool Flags, Program and Library Variables,
	Flag Variables Ordering): Document LIBTOOLFLAGS.
	* tests/libtool7.test: Check basic support for LIBTOOLFLAGS.
	* tests/libtool8.test: Make sure Automake warns about LIBTOOLFLAGS
	definitions.
	* tests/subobj9.test: Adjust.

2004-12-11  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/automake.texi (Per-Object Flags): New node.

2004-12-09  Alexandre Duret-Lutz  <adl@gnu.org>

	Fix PR automake/441:
	* lib/am/java.am (install-%DIR%JAVA, uninstall-%DIR%JAVA): Do
	not install *.class if "$(%DIR%_JAVA)" is empty.
	* tests/java3.test: New file.
	* tests/Makefile.am (TESTS): Add it.
	Report from Johannes Nicolai.

	* doc/automake.texi (Java): Mention dist_ and add an example.
	* tests/java.test: Do actually compile java files and run distcheck.

2004-12-08  Peter O'Gorman  <peter@pogma.com>
	    Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/Automake/FileUtils.pm (dir_has_case_matching_file,
	reset_dir_cache): New functions.
	* automake.in (handle_dist, require_file_internal): Use them, so
	that CHANGELOG is not confused with ChangeLog on case-insensitive
	case-preserving file systems.
	* tests/hfs.test: New file.
	* tests/Makefile.am (TESTS): Add hfs.test.

2004-12-08  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/mdate-sh: Don't use "set - x`$ls_command /`", as zsh mishandles
	the spaces inside $ls_command.  Problem reported by Loulou Pouchet in
	<http://lists.gnu.org/archive/html/autoconf/2004-12/msg00074.html>.
	Don't use "set - x"; plain "set x" is enough, and simplifies debugging.

2004-12-05  Toshio Kuratomi  <toshio@tiki-lounge.com>

	* lib/py-compile: Add --destdir switch to py-compile that takes a
	path argument that is not compiled into the file when byte compiling.
	* lib/am/python.am: Use the new py-compile arguments to not include
	DESTDIR in the byte compiled files.
	* tests/python12.test: Test that DESTDIR won't be byte compiled into
	python files.

2004-12-05  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/automake.texi (Clean): Typo.

	* doc/automake.texi: Use @acindex for Autoconf macros, and @vindex
	for variables (@cvindex was previously used for both).  Separate
	these two indices in the output.  Use @code, @file, and @command
	in @cindex lines wherever appropriate so they render nicely.

2004-12-05  Stepan Kasal  <kasal@ucw.cz>

	* doc/automake.texi (renamed objects, CVS): Typos.

2004-12-05  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/automake.texi (Flag Variables Ordering): New section.
	(User Variables, Program and Library Variables): @xref it.

2004-11-24  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/automake.texi (Conditional Subdirectories): More comments
	about non-distributed subdirectories.

	* Makefile.am (maintainer-clean): Check for unescaped @ in manual.

2004-11-24  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/automake.texi (Built sources example): Fix typo.

2004-11-22  Alexandre Duret-Lutz  <adl@gnu.org>

	* aclocal.in (parse_arguments): Diagnose abbreviation ambiguous with
	--help or --version.
	* automake.in (parse_arguments): Likewise.
	* tests/aclocal.test, tests/automake.test: Check this.
	Report from Eric Blake.

2004-11-21  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (parse_arguments): Diagnose empty arguments, options
	with missing argument, and support `--'.
	* aclocal.in (parse_arguments): Diagnose options with missing
	argument.
	* tests/aclocal.test: More checks.
	* tests/automake.test: New file.
	* tests/postprog.test: Use `--' for fun.
	* tests/Makefile.am (TESTS): Add automake.test.
	Report from Eric Blake.

	* lib/am/progs.am (installcheck-%DIR%PROGRAMS): Run programs with
	/dev/null as input, so we do not hang on programs that read their
	input without supporting --help and --version.
	* lib/am/scripts.am (installcheck-%DIR%SCRIPTS): Likewise for scripts.
	* tests/gnits2.test: Change scriptnok.sh to cat its input.
	Report and fix from James Youngman.

2004-11-17  Alexandre Duret-Lutz  <adl@gnu.org>

	* aclocal.in (%file_seen): Rename as ...
	(%file_added): ... this, and move it close to add_file(), the only
	function that uses it.

	* aclocal.in (version): Remove initial blank line and reproduce
	the layout of automake --version.  From Art Haas.

	* aclocal.in (%file_type, FT_USER, FT_AUTOMAKE_SYSTEM): New variables.
	(scan_m4_dirs): New function, extracted from ...
	(scan_m4_files): ... here.  Call scan_m4_files three times, for each
	FT_ constant.
	(scan_file): Take a file type argument to update %file_type.
	(write_aclocal): Do not m4_include files that are not of type FT_USER.
	* tests/dirlist.test: Make sure m4_include is not used for --acdir
	files.

	* tests/defs.in (testaclocaldir): New variable.
	* tests/aclocal.test: Use it to fix the test.  Report from
	Patrick Welche.

2004-11-10  Alexandre Duret-Lutz  <adl@gnu.org>

	* m4/python.m4 (AM_PATH_PYTHON): Fix the invocation of
	AC_PATH_PROGS to correctly define PYTHON as `:' when no interpreter
	is found (this worked correctly only when a minimal version was
	passed to AM_PATH_PYTHON).  Report from Stepan Kasal.
	(_AM_PYTHON_INTERPRETER_LIST): Define using m4_define_default,
	so we can easily override the list from the test suite.
	* tests/python11.test: New file.
	* tests/Makefile.am (TESTS): Add python11.test.

	* doc/automake.texi (Libtool Modules): Make clearer that -module
	should appear explicitly in _LDFLAGS.

2004-11-09  Alexandre Duret-Lutz  <adl@gnu.org>

	* aclocal.in (parse_arguments): Correctly recognize --print-ac-dir.
	* tests/aclocal.test: Check --print-ac-dir and a unknown option.

	* aclocal.in (parse_arguments): Fix detection of unexisting default
	$(datadir)/aclocal.  Report from Akim.

2004-11-07  Alexandre Duret-Lutz  <adl@gnu.org>

	* aclocal.in ($acdir): Rename as ...
	(@system_includes): ... this.
	(@user_includes, @automake_includes): New variables.
	($default_acdir, $default_dirlist): Remove.
	(parse_arguments): Populate @user_includes, @automake_includes, and
	@system_includes instead of filling a unique @dirlist array.
	("MAIN"): Adjust to scan m4 files in @user_includes,
	@automake_includes, and @system_includes.

2004-11-06  Alexandre Duret-Lutz  <adl@gnu.org>

	* aclocal.in (parse_arguments): Correct comment.  From Akim.

2004-11-04  Alexandre Duret-Lutz  <adl@gnu.org>

	* aclocal.in: Use Automake::ChannelDefs, and adjust all output
	to be done via `fatal', `msg', `verb', or `prog_error'.
	(version): New function.
	(parse_arguments): Rewrite using Getopt::Long, call &version, and
	honor -W and --warning.
	($verbose): Remove.
	(trace_used_macros): Do not trace the first arguments of macros
	for which we do not need it.  This caused failures because of
	unexpected newlines in the output.
	* doc/automake.texi (aclocal options): Document -W and --warning.
	* tests/defs.in (ACLOCAL): Always use -Werror, to catch Perl
	warnings about uninitialized variables.

2004-11-03  Alexandre Duret-Lutz  <adl@gnu.org>

	* tests/defs.in: Do not distinguish VERBOSE=x from
	VERBOSE=anything_but_x, always turn on shell traces.

	* aclocal.in (write_aclocal): Make sure $map_traced_defs{$m} exists
	before using it.  Suppress a warning observable in test/acloca16.test.
	Report from Ralf Wildenhues.

2004-11-01  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/Automake/XFile.pm (lock): Make sure $ENV{'MAKEFLAGS'} exists
	before inspecting it; this fixes "uninitialized value in
	concatenation" diagnostics when flock fails.
	Report from Gary V. Vaughan.

	* aclocal.in: Use strict and -w.  Declare local variables with `my',
	and get rid of `local'.
	(scan_m4_files, add_macro): Reindent these functions while we are
	at it.

	* lib/config.guess, lib/texinfo.tex: New upstream versions.

	* doc/automake.texi (LIBOBJS): Spelling and grammar corrections
	from Ralf Wildenhues.

2004-10-31  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/automake.texi (LIBOBJS): Augment with an example setup.
	(LTLIBOBJ): Rename as ...
	(LTLIBOBJS): ... this.  Link to LIBOBJS, and mention LTALLOCA.

2004-10-25  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/automake.texi: Untabify, tabs in the examples are poorly
	rendered.
	* Makefile.am (maintainer-check): Grep tabs in the manual.

	* tests/comment8.test: Use $MAKE, not make.

2004-10-24  Alexandre Duret-Lutz  <adl@gnu.org>

	* tests/distcom3.test: Typo.

2004-10-22  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/automake.texi (Libtool Convenience Libraries): Explain how
	to force the linker selection.

	* lib/install-sh: Fix the dirname emulation to ignore trailing
	slashes, i.e., the direname of `a/b/' is `a', not `a/b/'.  This
	caused `install-sh a/b/' to fail.
	* tests/instsh2.test: Augment.
	Report from Пухальский Юрий Андреевич.

2004-10-21  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (get_object_extension): The extension to use is know
	by the caller, and cannot be selected by looking only at the
	target name.  Simplify this function to simply conditionally
	prepend $U to the given extension.
	(handle_programs, handle_libraries, handle_ltlibraries): Hard-code
	the extension to use.  This way Automake won't mistake a program
	named `foo.la' as a libtool library.
	* tests/primary3.test: New file.
	* tests/Makefile.am (TESTS): Add primary3.test.

2004-10-12  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/automake.texi (Install): Link to node Extending for examples.
	(Extending): More comments about install-data-hook vs
	install-exec-hook, and link to Install.

	* configure.ac: Export @am_AUTOCONF@.
	* tests/defs.in (AUTOCONF): Define as @am_AUTOCONF@, not @AUTOCONF@,
	so the test suite runs `autoconf' and not `missing --run autoconf'.
	* tests/missing.test, tests/missing2.test: Arrange for missing
	to be used in front of autoconf even if the user has exported
	AUTOCONF.  This fixes two spurious failures reported by
	Mark D. Baushke.

	* lib/compile: Handle output.obj in addition to output.o.
	* tests/compile.test: Check for this.

2004-10-11  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/automake.texi (Sources): Typo, reported by Karl Berry.

2004-10-10  Kelley Cook  <kcook@gcc.gnu.org>  (tiny change)
	    Alexandre Duret-Lutz  <adl@gnu.org>

	* aclocal.in ($ac_defun_rx): Match AC_DEFUN_ONCE.
	(trace_used_macros): Trace AC_DEFUN_ONCE.
	* tests/aclocal5.test: Use AC_DEFUN_ONCE.

2004-10-10  Stepan Kasal  <kasal@ucw.cz>  (tiny change)

	* doc/automake.texi (Extending): Typo.

2004-10-10  Martin Waitz  <tali@admingilde.org>  (tiny change)

	* m4/as.m4 (AM_PROG_AS): Check dependency tracking mode for CCAS.
	* automake.in (cppasm): Use the dependency tracking more for CCAS.
	* doc/automake.texi (Assembly Support): Note that *.S are
	preprocessed with CPPFLAGS.

2004-10-10  Ralf Corsepius <corsepiu@faw.uni-ulm.de>

	* automake.in (Languages): Split .s (asm) and .S (cppasm) into
	separate languages.  Make cppasm (Preprocessed Assembler) aware
	of CPPFLAGS, AM_CPPFLAGS.
	(handle_languages): Fix typo.
	(lang_cppasm_rewrite): New function.

2004-09-29  Alexandre Duret-Lutz  <adl@gnu.org>

	* tests/subobj9.test: Adjust regexes after previous patch.

2004-09-28  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (handle_languages, define_compiler_variable): Output
	Libtool's --tag= option before --mode=compile, because depcomp use
	--mode=compile as end marker for libtool arguments.
	(define_linker_variable): Likewise before --mode=link, for
	uniformity.
	* tests/pr307.test: Make sure dependency files are updated.  That
	was not the case because depcomp thought `--tag=CC' was the
	compiler to get dependencies from.
	Report from Пухальский Юрий Андреевич.

2004-09-26  Alexandre Duret-Lutz  <adl@gnu.org>

	* configure.ac: Require Perl 5.6.
	* lib/Automake/Config.in: Require Perl 5.6 (not done in
	lib/Automake/General.pm because it is shared with Autoconf),
	and use `our' instead of `use vars'.
	* aclocal.in (rel2abs): Remove.
	(scan_configure_dep): Use File::Spec->rel2abs instead.

	* tests/compile.test, tests/instsh2.test, tests/instspc.test: Use
	two consecutive spaces in filename instead of one, to catch mistake
	like `echo $val | ...`.
	* tests/README: Suggest this.
	Suggested by Ralf Wildenhues.

2004-09-25  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/automake.texi (Clean): Document -local targets.

2004-09-25  Ralf Wildenhues <Ralf.Wildenhues@gmx.de>

	* doc/automake.texi: Typos.

2004-09-21  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/automake.texi (Timeline): Typos and other English mistakes
	reported by Jim and Gary.

	* lib/Automake/VarDef.pm (append): Strip comments from augmented
	variables.
	* tests/comment8.test: New file.
	* tests/Makefile.am (TESTS): Add comment8.test.
	Report from Stepan Kasal.

2004-09-19  Alexandre Duret-Lutz  <adl@gnu.org>

	* tests/compile.test: Fix rm usage.

	* INSTALL, lib/INSTALL, lib/config.sub, lib/config.guess,
	lib/texinfo.tex: New upstream versions.

	* doc/automake.texi (Timeline): New node.  Thanks to Karl and Tom
	for their comments on a preliminary version of this, Akim for
	digging out some old mails, and Jason Molenda for sending the note
	about Automake in Alias to Tom.
	(Releases): Rename `ac' to `acl', suggested by Akim.

2004-09-19  Akim Demaille  <akim@epita.fr>

	* AUTHORS, automake.in, aclocal.in: Add Alexandre Duret-Lutz as
	author.

2004-09-15  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/automake.texi (Releases): New node.

	* doc/automake.texi (Dependencies): Link to Dependency Tracking
	Evolution.
	(Dependency Tracking Evolution): Link to GNU make, Sources (for
	BUILT_SOURCES), and update the paragraph about the "plan" to
	inline dependency tracking with gcc3.

	* doc/automake.texi (History): New node.
	(Dependency Tracking Evolution): New node, filled with a Texinfo
	version of Tom Tromey's ``Dependency Tracking in Automake''
	document, initially published on the Automake homepage on
	2001-06-29.

2004-09-10  Alexandre Duret-Lutz  <adl@gnu.org>

	* m4/minuso.m4 (AM_PROG_CC_C_O): Make sure AC_PROG_CC is never
	called after this macro.
	* tests/distname.test, tests/subdir5.test, tests/subdir8.test,
	tests/subobj.test, tests/subobj4.test, tests/subobj5.test,
	tests/subobj6.test: Adjust.
	Report from Ralf Wildenhues.

	* lib/Automake/Channels.pm (_print_message): Handle uniq_part with
	arbitrary string.
	* automake.in (lang_c_rewrite): Set uniq_part so that the
	AM_PROG_CC_C_O diagnostic is output only once for subdir objects
	and only once for objects with per-target flags.

	* automake.in (lang_c_rewrite): Print files and locations
	for AM_PROG_CC_C_O errors.
	(handle_single_transform): Pass $var to &$subr so it can
	print locations.

	* lib/compile, lib/elisp-comp, lib/install-sh, lib/ylwrap: Use $ret
	instead of $status which is read-only in Zsh.

2004-09-10  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>
	    Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/compile: Preserve spaces in arguments (for example
	-DPACKAGE_STRING="foo 0.1").
	* tests/compile.test: New file.
	* tests/Makefile.am (TESTS): Add compile.test.

2004-09-07  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (handle_clean): Sort rm commands output for
	mostlyclean-generic, clean-generic, distclean-generic, and
	maintainer-clean-generic.
	Report from Bob Friesenhahn.

	* automake.in (lang_c_rewrite): Do not require AM_PROG_CC_C_O for
	libtool objects.
	(handle_single_transform): Pass nonansi_obj to &$subr so
	lang_c_rewrite can distinguish libtool objects.
	* tests/libtool7.test: Use subdir-objects without using AM_PROG_CC_C_O.
	Report from Gary V. Vaughan and Patrick Welche.

2004-09-07  Andreas Schwab  <schwab@suse.de>

	* automake.in ($PATH_PATTERN): Add `+'.

2004-09-07  Alexandre Duret-Lutz  <adl@gnu.org>

	* tests/missing3.test: New file (check for Paolo's change below).
	* tests/Makefile.am (TESTS): Add missing3.test.

2004-09-07  Paolo Bonzini  <bonzini@gnu.org>

	* missing: Handle all command line options together.  Add a
	separate case statement to detect failed runs, and fail
	silently there if --help or --version is passed to the program.

2004-08-11  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/config.guess, lib/texinfo.tex: New upstream versions.

	For PR automake/433:
	* configure.ac (pkgvdatadir): Define using "$PACKAGE", not "automake".

	Fix PR automake/432:
	* lib/am/yacc.am [!%?MORE-THAN-ONE%]: Replace `#line's in y.tab.h too.
	* tests/yacc7.test: Check this.

2004-08-08  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/Automake/DisjConditions.pm (new): Precompute 'string' and 'conds'
	in place instead of as a side-effect of calling ->string and ->conds.
	This saves method-lookup time, simplify ->string and ->conds, and
	allows to create the object only when necessary.
	(string, conds): Simplify, now that the result is precomputed.

	* automake.in (%am_file_cache): New hash.
	(make_paragraphs): Cache .am files with comments stripped to save
	some useless input and substitutions.

	* lib/Automake/Variable.pm (%_primary_dict): New hash.
	(_new, variable_delete): Update %_primary_dict.
	(variables): Accept an optional $suffix argument.
	* automake.in (check_typos, am_primary_prefixes): Use that
	optional argument to restrict the loops over the variables we are
	interested in.

2004-08-06  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/Automake/Item.pm (def): Rewrite more concisely, it's faster
	this way.

2004-08-05  Alexandre Duret-Lutz  <adl@gnu.org>

	Speed up make_paragraphs.
	* automake.in (handle_languages): Always define SUBDIROBJ,
	DERIVED-EXT, and DIST_SOURCE, because the new transform() will
	abort on unknown tokens.
	(transform): Rewrite with different semantics.
	(make_paragraphs): Make a single pass over the paragraph to
	transform all template tokens instead of doing as much passes as
	possible token.

	* automake.in ($libtool_new_api): New variable.
	(handle_libtool): Do not libtool's aux files if $libtool_new_api.
	(scan_autoconf_traces) <LT_SUPPORTED_TAG>: Set $libtool_new_api.
	(scan_autoconf_traces) <AC_REQUIRE_AUX_FILE>: Remember only the
	first location for required files.

2004-08-04  Alexandre Duret-Lutz  <adl@gnu.org>

	Support AC_REQUIRE_AUX_FILE, and fix requirement of AM_PROG_CC_C_O.
	* automake.in (%required_aux_file): New hash.
	(handle_single_transform, lang_c_rewrite): Do not explicitly
	require 'compile', this is now an internal detail of
	AM_PROG_CC_C_O.
	(scan_autoconf_traces): Trace AC_REQUIRE_AUX_FILE and fill
	%required_aux_file.
	(scan_autoconf_files): Require all %required_aux_file instead
	of explicitly requiring install-sh and missing.
	(generate_makefile): Do not require config.sub and config.guess.
	(handle_single_transform): Pass $have_per_exec_flags to
	&lang_c_rewrite.
	* configure.ac, m4/init.m4: Require Autoconf 2.59a.
	* doc/automake.texi (Optional): Document AC_REQUIRE_AUX_FILE.
	(Program and Library Variables, Options, Public macros):
	AM_PROG_CC_C_O is required when per-target flags or subdir-objects
	are used with C sources.
	* m4/minuso.m4: Require `compile' using AC_REQUIRE_AUX_FILE.
	* m4/missing.m4: Require `missing' similarly.
	* tests/acsubst2.test, tests/distcom2.test, tests/distcom6.test,
	tests/specflg.test, tests/specflg2.test, tests/specflg3.test,
	tests/specflg6.test, tests/specflg7.test, tests/specflg8.test,
	tests/specflg9.test, tests/subobj7.test, tests/target-cflags.test,
	tests/yacc6.test: Fix to use AM_PROG_CC_C_O.

2004-08-03  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (yacc_lex_finish_helper): Fix definition of YLWRAP
	when ylwrap is installed in a default aux dir found in a parent
	package.
	* tests/subpkg.test: Augment to check that YLWRAP is installed
	properly.
	* doc/automake.texi (Yacc and Lex): ylwrap is not sought is the
	current directory.
	Report from Norman Gray.

2004-08-02  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/automake.texi (Optional): Update documentation for
	AC_CANONICAL_BUILD, AC_CANONICAL_HOST, and AC_CANONICAL_TARGET.

	* automake.in (AC_CANONICAL_HOST, AC_CANONICAL_SYSTEM): Replace by ...
	(AC_CANONICAL_BUILD, AC_CANONICAL_HOST, AC_CANONICAL_TARGET): ... these.
	(scan_autoconf_traces): Scan for the latter three macros instead of
	the former two.
	(make_paragraphs): Adjust definitions of %BUILD%, %HOST%, and %TARGET%.
	* tests/hosts.test: New file.
	* tests/Makefile.am (TESTS): Add hosts.test.
	Report and test case from Norman Gray.

2004-08-01  Alexandre Duret-Lutz  <adl@gnu.org>

	* aclocal.in (scan_file): Update "#Extending%20aclocal" URL, makeinfo
	4.7 now outputs "#Extending-aclocal".

2004-08-01  Alexandre Duret-Lutz  <adl@gnu.org>
	    Derek R. Price  <derek@ximbiot.com>

	Disable Lex and Yacc rules whenever possible if AM_MAINTAINER_MODE
	is used and maintainer-mode disabled.
	* automake.in (Automake::struct): Define nodist_specific.
	Set it in languages yacc, yaccxx, lex, and lexxx.
	(register_language): Default nodist_specific to 0.
	(handle_single_transform): Honor nodist_specific.
	* lib/am/yacc.am (am__skipyacc): Define this in maintainer mode.
	(%EXT%%DERIVED-EXT%, %OBJ%): Use $(am__skipyacc) to disable these
	rules when needed.
	* lib/am/lex.am (am__skiplex): Define this in maintainer mode.
	(%EXT%%DERIVED-EXT%, %OBJ%): Use $(am__skiplex) to disable these
	rules when needed.
	* tests/mmodely.test: New file.
	* tests/pr204.test: Augment to check AM_MAINTAINER_MODE and nodist_
	parsers.
	* tests/Makefile.am (TESTS): ADd mmodely.test.
	* doc/automake.texi (Yacc and Lex): Note dependence on maintainer mode.

2004-07-28  Alexandre Duret-Lutz  <adl@gnu.org>

	* configure.ac, NEWS: Bump version to 1.9a.

	* configure.ac, NEWS: Bump version to 1.9.

	* automake.in (generate_makefile): Update misleading comment about
	libtool scripts.

	* lib/texinfo.tex: New upstream version.

2004-07-25  Alexandre Duret-Lutz  <adl@gnu.org>

	* m4/mkdirp.m4 (AM_PROG_MKDIR_P): Remove `.' from the mkdir_p
	definition, it causes `make install' to fails for user with no
	right to write in the source-tree.
	* automake.in (handle_configure): Do not use mkdir_p in the
	definition for $(mkdir_p).
	Report from Harlan Stenn.

	* lib/am/texi-vers.am (%STAMPVTI%): Typo in comment.

2004-07-22  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/automake.texi (Libtool Modules): Typo in example.
	Report from Ulrich Eckhardt.

2004-07-21  Andreas Schwab  <schwab@suse.de>  (tiny change)

	* automake.in (check_directory): Quote $dir in regexp.

2004-07-17  Alexandre Duret-Lutz  <adl@gnu.org>

	* configure.ac, NEWS: Bump version to 1.8e.

	* configure.ac, NEWS: Bump version to 1.8d.

	* lib/config-ml.in, lib/config.sub, lib/config.guess, lib/texinfo.tex:
	New upstream versions.

	* lib/am/texibuild.am (?GENERIC?%SOURCE_SUFFIX%.html,
	?!GENERIC?%DEST_PREFIX%.html): Use $(X), not ${X}.

	* tests/installdir.test: installdirs-local should appear three times,
	since the change from 2004-07-11 will make it PHONY.

	* lib/am/distdir.am (distdir): Always use $(DIST_SUBDIRS) now
	that it is always defined.  This is less confusing for users
	reading the generated Makefiles.
	* automake.in (handle_dist): Do not substitute DIST_SUBDIR_NAME.

	* lib/am/texibuild.am (?GENERIC?%SOURCE_SUFFIX%.html,
	?!GENERIC?%DEST_PREFIX%.html): Output .htp, and then rename to .html
	on success.  In case the target is a directory, this ensures its
	time stamp is updated and the no files are left over inside.
	* tests/txinfo21.test: Augment to test missing timestamp update
	reported by Akim Demaille.

	* doc/automake.texi (Top level): Rename as ...
	(Directories): ... this, and split into ...
	(Subdirectories, Conditional Subdirectories): ... these.
	(Subdirectories): Illustrate the use of `.'.
	(Conditional Subdirectories): Describe SUBDIRS and DIST_SUBDIRS
	before the example.  Append a discussion about non-configured
	conditional directories.
	(Alternative): Move as a child of Directories.
	(Subpackages): New section.
	(Dist): Adjust links to Subdirectories, a Subpackages.
	(Third-Party Makefiles): Link to Conditional Subdirectories.

2004-07-14  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (target_hook): Accept %transform as last argument.
	(handle_single_transform): Pass %transform to target_hook.
	(handle_source_transform): Define DIST_SOURCE to tell whether
	a the source of a file is distributed or not.
	(lang_yacc_target_hook): Check DIST_SOURCE, and do not distribute
	the generated header if the .y source is not distributed.
	* tests/pr204.test: Use AM_YFLAGS = -d and make sure generated
	headers are not distributed.

2004-07-12  Simon Josefsson  <jas@extundo.com>  (tiny change)

	* doc/automake.texi (Options): Improve ustar file name length
	discussion.  Reference tar manual.

2004-07-12  Ray Simard  <rhs.techlists@sylvan-glade.com>  (tiny change)

	* lib/Automake/Variable.pm (define): Fix precondition check.

2004-07-11  Alexandre Duret-Lutz  <adl@gnu.org>

	For PR automake/428:
	Support for conditionally defined -hook and -local rules.
	* automake.in (user_phony_rule): New function.
	(handle_dist, handle_install, handle_all, do_check_merge_target,
	handle_factored_dependencies): Use user_phony_rule before
	adding a user -hook or -local rule as a dependency to ensure
	it is always defined an phony.
	* tests/cond37.test, tests/condhook.test: New files.
	* tests/Makefile.am (TESTS): Add them.
	Report from Simon Josefsson and Nik A. Melchior.

2004-07-05  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/automake.texi (Install): Warn that you should create
	/tmp/staging before installing into it, to avoid security problems.
	* lib/install-sh: Remove support for -b= and -t= options; this
	has been moribund for a decade.
	Add support for -t and -T options (new in coreutils install).
	-c option now does nothing (the default is to copy), for
	compatibility with BSD and coreutils 'install'.
	Fix usage message; it referred to nonexistent variables.
	Don't assume 'lasterr' is unset in environment.
	* tests/instsh2.test: Don't assume that install-sh without -c
	moves (it now copies).  Add tests for new -t and -T options.

2004-06-16  Alexandre Duret-Lutz  <adl@gnu.org>

	For Debian Bug#254372:
	* doc/automake.texi (Invoking aclocal): Rewrite the paragraph
	explaining m4_include is used for relative files.

2004-06-10  Alexandre Duret-Lutz  <adl@gnu.org>

	For Debian Bug #251820:
	* aclocal.in (scan_file): Keep track of the location where each
	file is included, and display it when reporting a missing file.
	Pass this location to scan_file as a second argument.
	(scan_m4_files): Adjust calls to scan_file.
	* tests/acloca14.test: Add a test for this diagnostic.

2004-06-07  Alexandre Duret-Lutz  <adl@gnu.org>

	* m4/tar.m4 (_AM_PROG_TAR): Split the definition of $_am_tools
	so it works with Solaris and Tru64 /bin/sh.
	Report from Nicolas Joly.

2004-06-06  Alexandre Duret-Lutz  <adl@gnu.org>

	* m4/tar.m4 (_AM_PROG_TAR): Introduce $_am_tools to work around a
	bug in NetBSD /bin/sh.
	Report from Nicolas Joly.

2004-06-03  Alexandre Duret-Lutz  <adl@gnu.org>

	* tests/defs.in (required=icc): Use `-V -help' instead of
	`-V -dryrun'.  icc 8.0 fails on the latter.
	* tests/depcomp5.test: Require depmode=icc for icc 7.x, and
	depmod=gcc otherwise.
	Report from Ralf Wildenhues.

	* lib/am/clean.am (distclean-generic): Do no
	`rm -f $(CONFIG_CLEAN_FILES)' if `$(CONFIG_CLEAN_FILES)' is empty.
	Report from Nicolas Joly.

2004-05-31  Alexandre Duret-Lutz  <adl@gnu.org>

	* NEWS: Make clearer that we do not output partial Makefile.ins on
	error.
	Suggested by Akim Demaille.

	* lib/depcomp (tru64) [libtool]: Use $dir$base.o.d instead
	of $dir.libs/$base.o.d.  Libtool 1.5 causes both to be output,
	and we will clean the second automatically during distclean.
	Using the latter and leaving the former as we did before cause
	"files left in build directory" failures during distcheck.
	Suggested by Nicolas Joly.

	* doc/automake.texi (Built sources example): Explain what
	nodist_foo_SOURCES is (not) useful to, and use it in all the
	examples.
	(Tags): Mention nodist_noinst_HEADERS and nodist_prog_SOURCES.
	Suggested by Akim Demaille.

2004-05-23  Alexandre Duret-Lutz  <adl@gnu.org>

	* configure.ac, NEWS: Bump version to 1.8c.

	* configure.ac, NEWS: Bump version to 1.8b.

	* m4/tar.m4 (_AM_PROG_TAR) <cpio>: Specify -o and -i option first,
	by POSIX; and use option -d in am_untar.

	* tests/defs.in (PATH): Export it.

	* lib/am/multilib.am: Add $(MAKE) comments to multido and
	multiclean lines, to enable parallel make.  Based on a patch
	by Alexandre Oliva applied to newlib on 2003-10-15.

2004-05-22  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (scan_autoconf_traces): Trace for LT_SUPPORTED_TAG
	instead of AC_LIBTOOL_TAGS, since that how CVS Libtool has been
	changed.
	* tests/libtool3.test: Do not grep for --tag=CC, since CVS
	Libtool (unlike Libtool 1.5) does not has any CC tag.

	* tests/tar2.test: Skip the test if no pax archiver were found.

	* NEWS: Sync with branch-1-8, and reorganize current entry.

	* automake.in (handle_libraries): Make the diagnostic about
	non standard libraries a warning in foreign packages.  This
	is already the case in handle_ltlibraries.
	(handle_libraries, handle_ltlibraries): Suggest a standard
	library name in the diagnostic, to help newcomers.
	* tests/stdlib.test, tests/stdlib2.test: Check for these
	suggestions.

	Check directory names for unportable names.  Shaking the code
	to check this also led to the removal of the no-"/"-in-SUBDIRS
	restriction, and a fix to _do_recursive_traversal.

	* automake.in (check_directory): New function extracted from
	handle_subdirs, and augmented to check for reserved W32/DOS name.
	(check_directories_in_var): New function.
	(handle_subdirs): Call check_directories_in_var.  Doing so also
	suppress the restriction that SUBDIRS should not contain slashes.
	(scan_autoconf_traces) <AC_CONFIG_AUX_DIR>: Call check_directory
	to ensure the argument exists and is safe.
	* doc/automake.texi (Top level): Do not say that src/subdir
	cannot be put in SUBDIRS.
	(Dist): Mention that distdir and top_distdir can be absolute.
	* lib/Automake/Variable.pm (_do_recursive_traversal) Support
	undefined $fun_collect, and fix two bugs introduced with
	skip_ac_subst on 2004-03-07.
	* lib/am/distdir.am (distdir): Use absolute distdir and
	top_distdir when recursing, because we can no longer prepend only
	`..' in case of SUBDIRS with `/'.
	* tests/auxdir4.test, tests/subdir9.test: New files.
	* tests/Makefile.am (TESTS): Add auxdir4.test.
	* tests/cond2.test, tests/subdir7.test: Augment to check location
	in diagnostics.

2004-05-21  Eric Blake  <ebb9@byu.net>  (tiny changes)

	* tests/txinfo22.test (AC_CONFIG_AUX_DIR): Use aux1, not aux, for
	cygwin compatibility.
	* tests/yacc6.test (AC_CONFIG_AUX_DIR): Likewise.

	* tests/conflnk3.test: Isolate checking for working `test -e' into
	a subshell, to skip this test on broken /bin/sh of solaris.

2004-05-17  Alexandre Duret-Lutz  <adl@gnu.org>

	* m4/cond.m4 (AM_CONDITIONAL): Double-quote diagnostic.
	* tests/condd.test: Define a macro with the same name as a
	conditional.
	* tests/pr220.test: Modernize, and make sure the diagnostics
	contains the macro name.
	Report from Volker Boerchers.

2004-05-16  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/texinfo.tex: New upstream version.

2004-05-15  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (handle_dist): Always define DIST_SUBDIRS, even when
	the no-dist or cygnus options are used.
	* tests/clean2.test: New file.
	* tests/Makefile.am (TESTS): Add clean2.test.
	Report from Daniel Jacobowitz.

	* aclocal.in (add_macro): Do not error out on undefined required
	macros.  We are not sure they are really used, and Autoconf
	already diagnoses them.
	(scan_configure_dep): Diagnose missing AM_ macros as warnings rather
	than errors.
	* tests/aclocal3.test, tests/ammissing.test: Adjust to expect a
	warning instead of an error.
	* tests/aclocal8.test: AC_REQUIRE an undefined macro in an unused
	macro, and ensure aclocal works anyway.
	* tests/acloca17.test: New file.
	* tests/error.test: Delete, superseded by tests/acloca17.test.
	* tests/Makefile.am (TESTS): Add acloca17.test and remove error.test.
	Report from Jim Meyering.

	* lib/am/texibuild.am (?!GENERIC_INFO?%DEST_INFO_PREFIX%%DEST_SUFFIX%):
	Fold a few lines to reduce the output by 5 lines.
	Suggested by Karl Berry.

	* automake.in (parse_arguments, MAIN): Give more precise
	diagnostics when no input file is found.
	* tests/output5.test: Adjust.
	Suggested by Jens Petersen.

2004-05-14  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/am/libs.am (AR, ARFLAGS): Move these definition ...
	* automake.in (handle_libraries): ... here, so that they are
	output even for EXTRA_LIBRARIES.
	* tests/ar2.test: New file.
	* tests/Makefile.am (TESTS): Add it.
	Report from Kevin Ryde.

2004-05-13  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (generate_makefile): Do not output Makefile.in on
	errors.
	* tests/werror2.test: New file.
	* tests/Makefile.am (TESTS): Add werror2.test.
	* tests/substtarg.test, tests/cond36.test, tests/backsl4.test:
	Adjust to run automake with -Wno-error when the output is expected
	in spite of the error.
	Report from Harlan Stenn.

	* doc/automake.texi (Program and Library Variables): Remove
	doubled word in footnote.

	* automake.in (handle_source_transform): Also check for a
	$(srcdir)/old_source rule when computing the default source name.
	Propagate this $(srcdir) prefix in Automake variables.
	* tests/ltlibsrc.test (noinst_LTLIBRARIES): Explicitly refer to
	$(srcdir)/zoo_d_old2_la.c.  This fixes another failure with BSD Make.

2004-05-13  Paul Eggert  <eggert@cs.ucla.edu>

	* Makefile.am (fetch): Work even with FreeBSD "make", which
	uses sh -e and thus errors-out if a simple-command fails.
	* lib/am/check.am (check-TESTS): Likewise.
	* lib/am/ltlib.am (clean-%DIR%LTLIBRARIES): Likewise.
	* lib/am/tags.am (TAGS): Likewise.

2004-05-13  Alexandre Duret-Lutz  <adl@gnu.org>

	* tests/lex3.test, tests/yacc6.test: Require GNU Make.
	Fixing these for BSD Make requires invasive changes (lexers and
	parsers must be built into $srcdir, and--most annoyingly--all
	references to parse.h must be changed to $(srcdir)/parse.h).
	Report from Mark D. Baushke.

2004-05-10  Alexandre Duret-Lutz  <adl@gnu.org>

	* tests/defs.in (GNUmake): Grep for GNU to parry FreeBSD make.
	Report from Mark D. Baushke.

2004-04-25  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/texinfo.tex: New upstream version.

	* lib/depcomp (tru64): Clarify comments.  Thanks to Nicolas Joly.

	* doc/automake.texi (Headers): Revamp.

2004-04-24  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (check_typos): Clarify the diagnostic.
	* tests/warnopts.test: Adjust.

	* lib/Automake/VarDef.pm (append): Turn VAR_ASIS variables into
	VAR_PRETTY variables to work around make implementation with
	limited line length, such as OSF1/Tru64 make.
	* tests/longline.test: New file.
	* tests/Makefile.am (TESTS): Add it.
	* tests/pluseq3.test, tests/pluseq8.test: Adjust.
	Report from Simon Josefsson.

	* lib/am/tags.am (TAGS): Pass `.' to Exuberant Ctags if
	--etags-include is used but no other files are supplied, so it
	creates the TAGS file anyway.
	Report from Akim Demaille.

	* lib/depcomp (tru64) [libtool]: Nicolas Joly reported on
	2002-06-12 that dependencies were output in $dir.libs/$base.lo.d.
	Teun Burgers reported on 2004-03-30 they were in
	$dir.libs/$base.o.d.  Try both.

2004-04-23  Alexandre Duret-Lutz  <adl@gnu.org>

	For PR automake/414:
	Introduce option filename-length-max=99.
	* doc/automake.texi (Options): Document it.
	* configure.ac (AM_INIT_AUTOMAKE): Use it.
	* lib/Automake/Options.pm (_process_option_list): Recognize it.
	* automake.in (handle_dist): Set FILENAME_FILTER.
	* lib/am/distdir.am (distdir) [FILENAME_FILTER]: Diagnose long
	filenames.
	* tests/fn99.test: New file.
	* tests/Makefile.am (TESTS): Add fn99.test.

2004-04-20  Alexandre Duret-Lutz  <adl@gnu.org>

	For PR automake/414:
	Introduce options tar-v7, tar-ustar, and tar-pax to select
	tar format.
	* doc/automake.texi (Options): Document them.
	* lib/Automake/Options.pm (_process_option_list): Process
	these new options.
	* lib/am/distdir.am (dist-gzip, dist-bzip2, dist-tarZ, dist,
	distcheck): Adjust to use am__tar and am__untar.
	* m4/tar.m4: New file.
	* m4/Makefile.am (dist_m4data_DATA): Add tar.m4.
	* m4/init.m4 (AM_INIT_AUTOMAKE): Support the new options
	and call _AM_PROG_TAR.
	* tests/tar.test, tests/tar2.test, tests/tar3.test: New files.
	* tests/Makefile.am (TESTS): Add them.

2004-04-18  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/am/distdir.am (distcheck): Typo in shar decompression.

	* lib/config.guess, lib/config.sub, lib/texinfo.tex: New upstream
	versions.

2004-04-17  Alexandre Duret-Lutz  <adl@gnu.org>

	Fix PR automake/49:
	* automake.in (scan_autoconf_traces) <AC_CONFIG_AUX_DIR>: Diagnose
	calls to AC_CONFIG_AUX_DIR followings calls to AM_INIT_AUTOMAKE.
	* tests/auxdir.test, tests/auxdir2.test, tests/lex5.test,
	tests/mdate3.test, tests/multlib.test, tests/reqd2.test,
	tests/symlink.test, tests/txinfo8.test, tests/txinfo22.test,
	tests/yacc6.test, tests/yacc8.test: Fix to call AC_CONFIG_AUX_DIR
	before AM_INIT_AUTOMAKE.
	* tests/auxdir3.test: New file (exercise this diagnostic).
	* tests/Makefile.am (TESTS): Add auxdir3.test.

2004-04-15  Alexandre Duret-Lutz  <adl@gnu.org>

	* aclocal.in (%map_traced_defs): New variable.
	(scan_m4_files): Normalize filenames.
	(trace_used_macros): Trace for AC_DEFUN and AU_DEFUN, also
	ask for the filename and the first argument.  Populate
	%map_traced_defs.
	(write_aclocal): Use $map_traced_defs to filter out unused
	definitions.
	* tests/acloca16.test: New file.
	* tests/Makefile.am (TESTS): Add acloca16.test.

2004-04-12  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in ($automake_needs_to_reprocess_all_files): Remove.
	($automake_will_process_aux_dir): New variable.
	(scan_autoconf_traces): Reorder @input_files so that the Makefile
	that distributes aux files is processed last.  This way we do not
	have to process all files twice using
	$automake_will_process_aux_dir.
	(require_file_internal): Suggest a full run of automake when
	appropriate.
	(MAIN): Remove the loop on $automake_needs_to_reprocess_all_files.
	* tests/distcom7.test: New file.
	* tests/reqd2.test: Do not check for the "running more than two"
	message.
	* tests/Makefile.am (TESTS): Add distcom7.test.

	* automake.in (@config_aux_path, $config_aux_dir): Rename as ...
	($config_aux_dir, $am_config_aux_dir): ... these.
	($config_aux_dir_set_in_configure_in): Rename as ...
	($config_aux_dir_set_in_configure_ac): ... this.
	(%require_file_found): Rename as ...
	(%required_file_not_found): ... this.
	(handle_languages, handle_texinfo_helper, handle_dist,
	handle_configure, handle_emacs_lisp, handle_python,
	scan_autoconf_traces, yacc_lex_finish_helper): Adjust to new names.
	(scan_autoconf_traces): Call locate_aux_dir.
	(locate_aux_dir): New function.
	(@require_file_paths): Remove, not used anymore.
	(require_file_internal): Look files in only one directory (instead
	of @require_file_internal) passed in argument.
	(require_file, require_conf_file): Pass the destination directory
	to require_file_internal.

	Fix for PR automake/416:
	* m4/depend.m4 (_AM_DEPENDENCIES): Catch `not supported' ICC 8.0
	remarks.
	From Peter Seiderer.

2004-04-10  Andreas Buening  <andreas.buening@nexgo.de>

	* aclocal.in, automake.in, configure.ac, Makefile.am,
	tests/aclocal.in, tests/automake.in, tests/defs.in:
	Use PATH_SEPARATOR from autoconf instead of ':'.

2004-04-09  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (handle_lib_objects): Pass the condition of
	the variable definition to handle_LIBOBJS and handle_ALLOCA,
	not the aggregated conditions.
	* tests/Makefile.am (TESTS): Add libobj14.test.
	* tests/libobj14.test: New file.
	Report from Bill Davidson.

2004-04-02  Mike Nolta  <mike@nolta.net>

	Better support for Fortran 9x.
	* automake.in: Add "fc" and "ppfc" languages for Fortran 9x.
	* doc/automake.texi (Fortran 9x Support): New section.
	* lib/Automake/Variable.pm (%_ac_macro_for_var): Add AC_PROG_FC.
	* tests/compile_f90_c_cxx.test: New file.
	* tests/ext.test: Add AC_PROG_FC.
	* tests/f90only.test: New file.
	* tests/link_f90_only.test: New file.
	* tests/Makefile.am (TESTS): Add new tests.

2004-04-01  Paul Eggert  <eggert@twinsun.com>

	* lib/install-sh: If "mv -f" works, use it, and fall back to
	the old "test -f" + "rm -f" + "mv" method only if "mv -f" does
	not work.  This improves performance in the usual case where
	"mv -f" works.  It also lets us install the "mv" command
	without worrying about a small window where "mv" does not
	exist (this problem was reported by Raul Nunez de Arenas
	Coronado).

2004-03-26  Alexandre Duret-Lutz  <adl@gnu.org>

	* m4/python.m4 (AM_PATH_PYTHON): Make sure am_display_PYTHON is
	set when $PYTHON has been set by the user.
	From Esben Haabendal Soerensen.

2004-03-22  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/automake.texi (Default _SOURCES): Typo.
	(true): Correct _'s placement in example.
	Report from Stepan Kasal.

2004-03-19  Alexandre Duret-Lutz  <adl@gnu.org>

	Overriding JAVAROOT is legitimate, do not warn about it.
	* lib/Automake/Variable.pm (%_silent_variable_override): Add JAVAROOT.
	* tests/java2.test: Run automake without -Wno-override.
	Report from Simon Josefsson.

2004-03-14  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (handle_texinfo_helper): Typos in comment.

2004-03-07  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/config.guess: New upstream version.

	Fix for PR automake/285:
	* automake.in (handle_ltlibraries): Keep track of installation
	directories for each condition, then define a $(am_TARGET_rpath)
	variable to hold the -rpath flags of Libtool libraries conditionally
	installed in different directories.
	* lib/Automake/DisjConditions.pm (merge): New function.
	* tests/libtool6.test: Adjust.
	* tests/libtool8.test: New file.
	* tests/Makefile.am (TEST): Add libtool8.test.

	* lib/Automake/Variable.pm (traverse_recursively,
	_do_recursive_traversal): Honor the skip_ac_subst option.
	* automake.in (handle_dist): Use skip_ac_subst.

2004-02-29  Alexandre Duret-Lutz  <adl@gnu.org>

	* Makefile.am (cvs-release): Upload to ~ftp/pub/automake, not
	~ftp/automake.
	* lib/gnupload (Example): Update example.

	* lib/config-ml.in, lib/config.guess, lib/config.sub,
	lib/texinfo.tex: New upstream versions.

	* m4/depend.m4 (_AM_DEPENDENCIES): Use `touch' rather than `: >'
	to create numbered dependencies.  This fixes a portability issue
	when CONFIG_SHELL is forced to /bin/sh on Solaris 8.
	Reported by Mark Phillips.

	* automake.in (lang_yacc_target_hook): Use Automake::Rule::define
	so that rules for the same headers are not output twice.
	* lib/Automake/Variable.pm (value_as_list_recursive): Do not
	call `return' inside `map'.
	* tests/cond30.test: Make sure `a.c' and `b.c' both appear
	in the Makefile.in.
	* tests/cond35.test, tests/cond36.test: New files.
	* tests/Makefile.am (TESTS): Add cond35.test and cond36.test.
	Report from Roman Fietze.

	Fix for PR/413:
	* lib/am/distdir.am (distcheck): Create $dc_destdir with `umask
	077 && mkdir' instead of `$(mkdir_p)'.  This prevents possible
	symlink attacks reported by Stefan Nordhausen.

2004-02-16  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/automake.texi (Multiple Outputs): More text, based on
	comments from Eric Siegerman, Tim Van Holder, and Oren Ben-Kiki.

2004-02-15  Alexandre Duret-Lutz  <adl@gnu.org>

	* m4/mkdirp.m4: Use `mkdir -p' only with GNU mkdir, because
	Solaris 8's mkdir is not thread-safe.
	* lib/mkinstalldirs: Likewise.
	* lib/install-sh: Abort when mkdir fails to create a directory.
	Report from Nathanael Nerode.

2004-02-07  Alexandre Duret-Lutz  <adl@gnu.org>

	* aclocal.in (rel2abs): New function.
	(scan_configure_dep): Use rel2abs instead of File::Spec->rel2abs,
	the later does was introduced in Perl 5.6 so using it breaks with
	Perl 5.005.
	Report from Werner John.

2004-02-03  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/automake.texi (Future of aclocal): Make clearer that
	it's ok to install macros into /usr/share/aclocal/.

2004-02-01  Alexandre Duret-Lutz  <adl@gnu.org>

	* tests/lisp.test: Delete (pointless).
	* tests/Makefile.am (TESTS): Remove lisp.test.

	* lib/Automake/Variable.pm (transform_variable_recursively):
	Define rewritten variables in all conditions not *covered* by user
	definitions, not simply in conditions without a previous
	definition.
	* tests/cond34.test: New file.
	* tests/Makefile.am (TESTS): Add cond34.test.
	Report from Elena A. Vengerova

	* doc/automake.texi (Multiple Outputs): Typo.

	* doc/automake.texi (Emacs Lisp): Typos.

	Support for conditional _LISP.
	* automake.in (handle_emacs_lisp): Define $(ELCFILES) from LISP, not
	from $(am__ELCFILES).
	* lib/am/lisp.am (elc-stamp): Use $(LISP) instead of $(am__ELFILES).
	* tests/lisp6.test: New file.
	* tests/Makefile.am (TESTS): Add it.

	* automake.in (handle_emacs_lisp): Define $(ELCFILES) as
	$(am__ELCFILES), and always push it on @all.  Do not mention
	elc-stamp.
	* lib/am/lisp.am (.el.elc): Rewrite as ...
	($(am__ELCFILES)): ... this, and depend on elc-stamp.
	(elc-stamp): Make sure elc-stamp is older that all .elc files, as
	explained in the manual entry below.

	* doc/automake.texi (Multiple Outputs): New node.

2004-01-31  Alexandre Duret-Lutz  <adl@gnu.org>

	* m4/regex.m4: Do not AC_SUBST(LIBOBJS), and quote most arguments.
	* tests/regex.test: New file.
	* tests/Makefile.am (TESTS): Add regex.test.

2004-01-28  Alexandre Duret-Lutz  <adl@gnu.org>

	* Makefile.am (maintainer-check): Check for unquoted $(DESTDIR) uses.
	* lib/am/data.am, lib/am/distdir.am, lib/am/java.am, lib/am/libs.am,
	lib/am/lisp.am, lib/am/ltlib.am, lib/am/mans.am, lib/am/progs.am,
	lib/am/python.am, lib/am/scripts.am, lib/am/texinfos.am: Quote
	installation paths in install, uninstall, and installcheck rules,
	as well as in am__installdirs variables.  This is for the sake
	of paths containing spaces.
	* lib/am/install.am (installdirs-am, installdirs): Do not try
	to create "" directories.
	* test/instspc.test: New file.
	* test/Makefile.am (TESTS): Add instspc.test.
	Report from James Amundson.

	* doc/automake.texi (Not Enough, Third-Party Makefiles): New nodes.
	(Extending): Make it a subsection of Not Enough.

	* lib/gnupload (GPG): Use an absolute path.  Suggestion from Gary
	V. Vaughan.
	(passphrase): Unset it this variable before using it, in case it
	was exported.  Report from Scott James Remnant.

2004-01-25  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/gnupload (usage): Fix example.
	* Makefile.am (cvs-release): Fix call to gnupload.
	From Jim Meyering.

2004-01-24  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/gnupload: New script.
	* lib/Makefile.am (EXTRA_DIST): Distribute gnupload.
	* Makefile.am (cvs-release): New target.

2004-01-23  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/am/python.am (uninstall-%DIR%PYTHON): Remove extra `;'s.
	Fix python10.test.

	* m4/depout.m4 (_AM_OUTPUT_DEPENDENCY_COMMANDS): Use `s/xx//p'
	instead of `/xx/ s///p'; the latter fails when GNU sed is run with
	POSIXLY_CORRECT.  Also strip superfluous -e.
	Report from Miloslav Trmac.

2004-01-22  Alexandre Duret-Lutz  <adl@gnu.org>

	* tests/lex5.test: Sleep before calling AUTOMAKE the second time,
	this fixes a spurious failure reported by Andreas Schwab.  Also
	make sure ylwrap is not installed unless needed, and exercise
	--no-force.

2004-01-20  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>  (tiny change)

	* doc/automake.texi (Dist): Document limitations of distcheck-hook
	and DISTCHECK_CONFIGURE_FLAGS with regard to subdirs and
	subpackages.

2004-01-20  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/automake.texi (Upgrading): New node.

2004-01-20  Gary V. Vaughan  <gary@gnu.org>

	* automake.in (scan_autoconf_traces): AC_LIBTOOL_TAGS can be
	correctly called without arguments as evidenced by the libtool
	demo directories.

2004-01-13  Alexandre Duret-Lutz  <adl@gnu.org>

	* tests/conflnk3.test: Skip if `test -e' does not work.
	Report from Lars Hecking.

2004-01-13  Jim Meyering  <jim@meyering.net>

	* lib/install-sh: Change `\n \t' to `\n\t ' in `defaultIFS'
	assignment.  Remove spurious SPACEs before TABs.

2004-01-12  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/py-compile: Check input files after option processing.
	Ensure --basedir has an argument.
	* lib/am/python.am (install-%DIR%PYTHON): Do not run py-compile
	if nothing was installed.
	* tests/python10.test: New file.
	* tests/Makefile.am (TESTS): Add python10.test.
	Suggested by Sander Niemeijer.

	* tests/txinfo29.test: Remove autom4te.cache.
	Report from Greg Schafer.

	* lib/install-sh: Do not use "$@" in a context where it may be empty,
	for the sake of OSF1/Tru64's shell.
	Report from He Li.

2004-01-11  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/config.sub, lib/config.guess, lib/texinfo.tex: New upstream
	versions.

	* m4/as.m4, m4/depend.m4, m4/maintainer.m4, m4/multi.m4: Update
	copyright years and serial.

	* m4/python.m4 (_AM_PYTHON_INTERPRETER_LIST): Add python2.4.

2004-01-10  Peter Eisentraut  <peter_e@gmx.net>  (tiny change)

	* m4/as.m4 (AM_PROG_AS): Format and align help string more
	consistently.
	* m4/depend.m4 (AM_DEP_TRACK): Likewise.
	* m4/lispdir.m4 (AM_PATH_LISPDIR): Likewise.
	* m4/maintainer.m4 (AM_MAINTAINER_MODE): Likewise.
	* m4/multi.m4 (AM_ENABLE_MULTILIB): Likewise.

2004-01-10  Paul Eggert  <eggert@twinsun.com>

	* m4/lispdir.m4 (AM_PATH_LISPDIR): Don't use \? in sed regular
	expressions; it doesn't conform to POSIX.

2004-01-10  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (shadow_unconditionally): New function...
	(handle_source_transform): ... extracted from here.
	(am_install_var): Use shadow_unconditionally to define %DISTVAR%.
	* lib/am/data.am, lib/am/java.am, lib/am/lisp.am, lib/am/python.am,
	lib/am/script.am: Add %DISTVAR% to DIST_COMMON.
	* tests/cond33.test: Make sure all conditional files are distributed.
	Report from Ralf Corsepius.

2004-01-08  Alexandre Duret-Lutz  <adl@gnu.org>

	* m4/mkdirp.m4 (AM_PROG_MKDIR_P): Append `.' to $(mkdir_p).
	* lib/install-sh: Accept `install-sh -d' with 0..n arguments,
	as well as `install-sh sources... dest' with multiple sources.
	* tests/cond33.test: New file.
	* tests/instsh2.test: Add more checks for install-sh.
	* tests/transform.test: Test for installdirs.
	* tests/Makefile.am (TESTS): Add cond33.test
	Report from Ralf Corsepius.

	* automake.in (handle_configure): Skip AC_CONFIG_LINKS items which
	do not look like DEST:SRC.
	* tests/conflnk3.test: Check for AC_CONFIG_LINKS($computed).

2004-01-07  Alexandre Duret-Lutz  <adl@gnu.org>

	Fix for PR automake/289:
	* automake.in (Automake::Struct::libtool_tag): New attribute.  Define
	it for the language that have a Libtool tag.
	(%libtool_tags): New variable.
	(handle_languages, define_compiler_variable)
	(define_linker_variable): Pass --tag=XXX to libtool if supported.
	(scan_autoconf_traces): Scan for _LT_AC_TAGCONFIG and AC_LIBTOOL_TAGS.
	* tests/libtool3.test, tests/subobj9.test: Check that --tag=XXX is
	output.

2003-01-07  Eric Sunshine  <sunshine@sunshineco.com>  (tiny change)

	* lib/am/configure.am (am__CONFIG_DISTCLEAN_FILES): Add
	config.status.lineno.

2004-01-07  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>  (tiny change)

	* doc/automake.texi (Rebuilding): Typo.

2004-01-07  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/am/Makefile.am (dist_am_DATA): Really add inst-vars.am.

2004-01-06  Alexandre Duret-Lutz  <adl@gnu.org>

	* THANKS: Add Bruce Korb.

2004-01-05  Alexandre Duret-Lutz  <adl@gnu.org>

	Mimic Paul Eggert's changes to Autoconf.
	* Makefile.am (automake, aclocal): Use `chmod a-w', not `chmod -w'.
	* lib/Automake/Makefile.am (Config.pm): Likewise.
	* m4/Makefile.am ($(top_srcdir)/m4/amversion.m4): Likewise.

	* lib/am/inst-vars.am: New file, define am__vpath_adj_setup,
	am__vpath_adj, and am__strip_dir.
	* lib/am/Makefile.am (dist_am_DATA): Add inst-vars.am.
	* lib/am/data.am, lib/am/lisp.am, lib/am/python.am,
	lib/am/scripts.am: Include inst-vars.am, and use $(am__vpath_adj),
	$(am__vpath_adj_setup), and $(am__strip_dir) in install and
	uninstall rules.  This fixes installation of nobase_ files in
	VPATH setups with Sun and OSF1/Tru64 Make.
	* lib/am/libs.am, lib/am/ltlib.am: Include inst-vars.am, and use
	$(am__strip_dir) to simplify install and uninstall rules.
	* tests/nobase.test: Augment to check installation from VPATH builds.

	* automake.in (%transformed_files): New variable.
	(initialize_per_input): Reset it.
	(make_paragraphs): Fill %transformed_files, and define %FIRST%
	each time a file is transformed for the first time.
	(handle_configure): Do not define %FIRST_CONFIG_HIN%.
	(am_install_var): Do not define %FIRST%.
	* lib/am/remake-hdr.am: Use %?FIRST% instead of %?FIRST_CONFIG_HIN%.

2004-01-04  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/texinfo.tex: New upstream version.

	* m4/mkdirp.m4: Do not use `-m 0755'.  This overrides special bits
	and break setups where 775 directories are expected.  Just obey
	umask as we did in the past.
	Report from Harlan Stenn.

2004-01-03  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (scan_texinfo_file): Do not compare $outfile to ''
	as $outfile might not be defined at all.

	* lib/Automake/Variable.pm (define): Rework the way we check
	Automake variable definition.  Ensure consistent :=/+=/=
	definitions only for variables that have been and are defined by
	Automake, and make it an internal error.  Ignore Automake
	attempts to touch a user variable, even with += assignments.
	* tests/txinfo29.test: New file.
	* tests/Makefile.am (TESTS): Add txinfo29.test.
	Reported by Bruce Korb.

2004-01-02  Tom Tromey  <tromey@redhat.com>

	* automake.in (handle_source_transform): Don't generate dist
	variables when no-dist is set.
	(generate_makefile): Likewise.
	* tests/nodist3.test: Ensure that DIST_SOURCES is not created,
	and that dist target does not exist.
        Reported by Tom Fitzsimmons.

2004-01-02  Alexandre Duret-Lutz  <adl@gnu.org>

	* tests/libtool5.test, tests/ltcond.test, tests/ltcond2.test,
	* tests/ltconv.test: Run automake with --add-missing, because
	the CVS version of libtoolize no longer install config.sub and
	config.guess by default.

	Fix for PR automake/319:
	* aclocal.in (scan_m4_files): Scan configure.ac.
	(trace_used_macros, write_aclocal): Remove configure.ac from the
	list of files to include.
	* tests/Makefile.am (TESTS): Add acloca15.test.
	* tests/acloca15.test: New file.

	* aclocal.in (%file_includes): New variable.
	(scan_configure_dep): Compile $m4_include_rx and $ac_require_rx once.
	(scan_file): Scan for included files, and process these files
	recursively.  Fill %file_includes and %file_contents.  Return the
	list of included files, not the contents.
	(scan_m4_files): Adjust calls to scan_files.
	(strip_redundant_includes): New function.
	(trace_used_macros): Call it.
	(write_aclocal): Likewise.  Also check the mtime of included files.
	* tests/Makefile.am (TESTS): Add acloca14.test.
	* tests/acloca14.test: New file.
	Report from Phil Edwards.

2004-01-01  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (handle_languages): Do not define DEP_FILES.
	* m4/depout.m4 (_AM_OUTPUT_DEPENDENCY_COMMANDS): Extract included
	files with $(DEPDIR) in their name instead of DEP_FILES.
	* tests/depend.test, tests/depend4.test, tests/exsource.test:
	Adjust.
	Suggested by Tom Tromey.

	Do not output .lo rules for programs and static libraries objects,
	and do not output .o/.obj rules for libtool libraries.  This is
	about explicit rules only, not inference rules.
	* automake.in (handle_single_transform_list): Rename as ...
	(handle_single_transform): ... this.  Take a single file
	to transform (it was only called this way) and accept a new
	%transform argument.  Fill %lang_specific_files with list
	references instead of strings, and append %transform to each
	of these lists.
	(define_objects_from_sources, handle_source_transform):
	Take a %transform argument, and forward it to &handle_single_transform.
	(handle_languages): Adjust to the new format of
	%lang_specific_files, and honor its %transform part.
	(handle_programs, handle_libraries, handle_ltlibraries): Override
	%NONLIBTOOL% and %LIBTOOL% while calling handle_source_transform.
	(make_paragraphs): Define %NONLIBTOOL% by default.  Make sure
	%transform settings override global settings.
	* lib/am/depend2.am (%OBJ%, %OBJOBJ%): Define only if %NONLIBTOOL%.
	* tests/libtool3.test: Augment to check Makefile.ins for unneeded
	rules.
	Suggested by Thomas Fitzsimmons.

	* automake.in, aclocal.in: Bump copyright years.

-----

Copyright (C) 2004, 2005  Free Software Foundation, Inc.

This file is part of GNU Automake.

GNU Automake is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

GNU Automake is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with autoconf; see the file COPYING.  If not, write to
the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.

;; Variables:
;; coding: utf-8
;; End:
